---
schema_version: "1"
id: 99841c756e3838d9653d3dc32cdf89873838e37984ffff9c37e65a51b8718e1b
title: TMF679 v5 Product Offering Qualification Management
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf679v5.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf679v5
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6bfab6cb020bda46cb5d52e7c5336d2acb28f84ee67fdc8a7c51dc2be1c87b4b
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF679 v5 Product Offering Qualification Management

# TMF679 v5 Product Offering Qualification Management

TMF679 Product Offering Qualification Management API is a standard API specification that defines the processes and interfaces for checking the availability and eligibility of product offerings before an order is placed.

**Version:** v1.

Protocols: https.

## Operations

### POST CheckProductOfferingQualification

`POST /checkProductOfferingQualification`

Returns qualification result

#### Parameters

*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path.
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `checkProductOfferingQualification_request`.

Specifies the Returns qualification result to be created.

_Example_

```
{
  "checkProductOfferingQualificationItem": [
    {
      "productOffering": {
        "id": "DPI123",
        "name": "International Data Plan - 20 GB"
      }
    },
    {
      "productOffering": {
        "id": "DPI123",
        "name": "International Data Plan - 40 GB"
      }
    },
    {
      "productOffering": {
        "id": "DPI128",
        "name": "France Voice Plan - 3 hours"
      }
    }
  ],
  "provideResultReason": true,
  "relatedParty": [
    {
      "role": "requester",
      "partyOrPartyRole": {
        "id": "45hj-999",
        "name": "Louise",
        "@type": "PartyRef",
        "@referredType": "Individual"
      },
      "@type": "RelatedPartyOrPartyRole"
    }
  ]
}
```

#### Responses

*   **200** successfully retrieved the qualification details
    
    Media type: `application/json`. Schema: `checkProductOfferingQualification_response`.
    
    _Example_
    
    ```
    {
      "@type": "CheckProductOfferingQualification",
      "checkProductOfferingQualificationItem": [
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI123",
            "name": "International Data Plan - 20 GB",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "green",
          "state": "done"
        },
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI123",
            "name": "International Data Plan - 40 GB",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "orange",
          "state": "done"
        },
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI128",
            "name": "France Voice Plan - 3 hours",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "red",
          "state": "done"
        }
      ],
      "provideResultReason": true,
      "relatedParty": [
        {
          "role": "requester",
          "partyOrPartyRole": {
            "id": "45hj-999",
            "name": "Louise",
            "@type": "PartyRef",
            "@referredType": "Individual"
          },
          "@type": "RelatedPartyOrPartyRole"
        }
      ],
      "state": "done",
      "creationDate": "2021-09-01T14:21:03.354Z"
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "400"
    reason: Specify the required parameter in the payload- account and product order item(s) missing.
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "404"
    reason: We couldn't find the Account in your salesforce org.
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "500"
    reason: Internal server error
    ```
    

### POST QueryProductOfferingQualification

`POST /queryProductOfferingQualification`

Returns query result

#### Parameters

*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path.
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `queryProductOffering_request`.

Specifies the Returns query result to be created.

_Example_

```
{
  "category": {
    "id": "24",
    "name": "International Data plan",
    "href": "https://host:port/productCatalogManagement/v5/category/24",
    "@type": "CategoryRef"
  },
  "relatedParty": [
    {
      "role": "requester",
      "partyOrPartyRole": {
        "id": "45hj-999",
        "name": "Louise",
        "@type": "PartyRef",
        "@referredType": "Individual"
      },
      "@type": "RelatedPartyOrPartyRole"
    }
  ]
}
```

#### Responses

*   **200** successfully retrieved the qualification details
    
    Media type: `application/json`. Schema: `queryProductOffering_Response`.
    
    _Example_
    
    ```
    {
      "href": "https://host:port/productOfferingQualification/v5/QueryProductOfferingQualificatio",
    "id": "11",
      "@type": "QueryProductOfferingQualification",
      "category": {
        "id": "24",
        "name": "International Data plan",
        "href": "https://host:port/productCatalogManagement/v5/category/24",
        "@type": "CategoryRef"
      },
      "effectiveQualificationDate": "2021-08-31T15:25:54.172Z",
      "qualifiedProductOfferingItem": [
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI89",
            "name": "European Data Plan - 20 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI89",
            "@type": "ProductOfferingRef"
          },
          "id": "1"
        },
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI90",
            "name": "European Data Plan - 50 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI90",
            "@type": "ProductOfferingRef"
          },
          "id": "2"
        },
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI91",
            "name": "European Data Plan - 100 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI91",
            "@type": "ProductOfferingRef"
          },
          "id": "3"
        },
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI123",
            "name": "International Data Plan - 20 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI123",
            "@type": "ProductOfferingRef"
          },
          "id": "4"
        },
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI124",
            "name": "International Data Plan - 50 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI124",
            "@type": "ProductOfferingRef"
          },
          "id": "5"
        },
        {
          "@type": "QueryProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI125",
            "name": "International Data Plan - 100 GB",
            "href": "https://host:port/productCatalogManagement/v5/productOffering/DPI125",
            "@type": "ProductOfferingRef"
          },
          "id": "6"
        }
      ],
      "relatedParty": [
        {
          "role": "requester",
          "partyOrPartyRole": {
            "id": "45hj-999",
            "name": "Louise",
            "@type": "PartyRef",
            "@referredType": "Individual"
          },
          "@type": "RelatedPartyOrPartyRole"
        }
      ],
      "state": "done",
      "creationDate": "2021-08-31T15:25:54.172Z"
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "400"
    reason: Specify the required parameter in the payload- account and product order item(s) missing.
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "404"
    reason: We couldn't find the Account in your salesforce org.
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: "500"
    reason: Internal server error
    ```
    

## Schemas

### checkProductOfferingQualification\_request

*   `checkProductOfferingQualificationItem` (_array of object_, required) A CheckProductOfferingQualificationItem.
    
    Includes all fields of `CheckProductOfferingQualificationItemRef_request`.
    
*   `provideResultReason` (_boolean_) An indicator which when the value is "true" means that result reason are expected for available or not of product offering.
*   `relatedParty` (_array of object_) RelatedParty reference. A related party defines party or party role or its reference, linked to a specific entity.
    
    Includes all fields of `RelatedPartyRef`.
    
*   `contextDefinition` (_string_) String, Accepts the custom context Definition for processing the request
*   `contextMapping` (_string_) String, Accepts custom contextMapping to process the Request
*   `qualificiationProcedure` (_string_) String, Accepts custom qualification Procedure to process the request

### checkProductOfferingQualification\_response

*   `@type` (_string_, required) When sub-classing, this defines the sub-class Extensible name
*   `checkProductOfferingQualificationItem` (_array of object_, required) A CheckProductOfferingQualificationItem.
    
    Includes all fields of `CheckProductOfferingQualificationItemRef`.
    
*   `provideResultReason` (_boolean_) An indicator which when the value is "true" means that result reason are expected for available or not of product offering.
*   `relatedParty` (_array of object_) RelatedParty reference. A related party defines party or party role or its reference, linked to a specific entity.
    
    Includes all fields of `RelatedPartyRef`.
    
*   `state` (_string_, required) Possible values for the state of a tasks are acknowledged,rejected,inProgress,cancelled,done,terminatedWithError
*   `creationDate` (_datetime_, required) Date and time when the CheckProductOfferingQualification was created.

### Error

Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)

*   `code` (_string_, required) Application relevant detail, defined in the API or a common list.
*   `reason` (_string_, required) Explanation of the reason for the error which can be shown to a client user.

### queryProductOffering\_request

*   `Category` (_object_) TMF679 Product Offering Qualification A CategoryRef. Reference to a category in the catalog.
    
    Includes all fields of `CategoryRef_request`.
    
*   `relatedParty` (_array of object_, required)
    
    Includes all fields of `RelatedPartyRef`.
    
*   `contextDefinition` (_string_) String, Accepts the custom context Definition for processing the request
*   `contextMapping` (_string_) String, Accepts custom contextMapping to process the Request

### queryProductOffering\_Response

*   `creationDate` (_datetime_, required) Date and time when the QueryProductOfferingQualification was created.
*   `effectiveQualificationDate` (_datetime_, required) Effective date to QueryProductOfferingQualification completion.
*   `href` (_string_, required)
*   `id` (_string_, required) Unique identifier.
*   `Category` (_object_) TMF679 Product Offering Qualification A CategoryRef. Reference to a category in the catalog.
    
    Includes all fields of `CategoryRef`.
    
*   `qualifiedProductOfferingItem` (_array of object_)
    
    Includes all fields of `qualifiedProductOfferingItemRef`.
    
*   `relatedParty` (_array of object_, required) A related party defines party or party role or its reference, linked to a specific entity.
    
    Includes all fields of `RelatedPartyRef`.
    
*   `state` (_string_, required) Possible values for the state of a tasks are acknowledged,rejected,inProgress,cancelled,done,terminatedWithError
*   `@type` (_string_)

### CheckProductOfferingQualificationItemRef\_request

*   `productOffering` (_object_, required) ProductOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
    
    Includes all fields of `ProductOfferingCheckRef`.
    

### RelatedPartyRef

*   `@type` (_string_)
*   `partyOrPartyRole` (_object_, required)
    
    Includes all fields of `PartyRef`.
    
*   `role` (_string_, required)

### CheckProductOfferingQualificationItemRef

*   `@type` (_string_, required)
*   `productOffering` (_object_, required) ProductOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
    
    Includes all fields of `ProductOfferingCheckRef`.
    
*   `qualificationItemResult` (_string_, required) Qualification result for this checkProductOfferingQualification item. It could be qualified (request productOffering or productSpecification are available), unqualified (requested not available and not alternate available), alternate (requested not available but alternate proposal available).
*   `state` (_string_, required) State of the CheckProductOfferingQualification item = described in the state machine diagram.

### CategoryRef\_request

*   `id` (_string_, required)
*   `name` (_string_)

### CategoryRef

*   `id` (_string_, required)
*   `name` (_string_)
*   `@type` (_string_, required)
*   `href` (_string_, required)

### qualifiedProductOfferingItemRef

*   `@type` (_string_)
*   `id` (_string_, required)
*   `productOffering` (_object_, required)
    
    Includes all fields of `ProductOfferingQueryRef`.
    
*   `Product` (_object_)
    
    Includes all fields of `ProductRef`.
    

### ProductOfferingCheckRef

*   `@type` (_string_)
*   `id` (_string_, required)
*   `name` (_string_)

### PartyRef

*   `@type` (_string_)
*   `@referredType` (_string_)
*   `id` (_string_, required)
*   `name` (_string_, required)

### ProductOfferingQueryRef

*   `href` (_string_)
*   `id` (_string_, required)
*   `name` (_string_, required)
*   `@type` (_string_, required)

### ProductRef

*   `id` (_string_, required)
*   `@type` (_string_, required)
*   `productSpecification` (_object_)
    
    Includes all fields of `ProductSpecificationRef`.
    

### ProductSpecificationRef

*   `id` (_string_, required)
*   `name` (_string_, required)
*   `@type` (_string_, required)